version: '3.8'

services:
  mi-pagina-astro:
    build:
      context: .
      dockerfile: Dockerfile
      # Aquí puedes pasar las variables si cambian, aunque ya las hardcodeaste en el Dockerfile
      args:
        - PUBLIC_SUPABASE_URL=https://lhlzobfwpotobqgxpqps.supabase.co
        - PUBLIC_SUPABASE_ANON_KEY=sb_publishable_PZGIeCmJ5eHW0FR9c6sdUA_NF5AtoQT
    container_name: contenedor_web_astro
    ports:
      - "8081:80"  # Mapea el puerto 80 del VPS al puerto 80 del contenedor Nginx
    restart: always